Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal
Class Mode

    java.lang.Object
      org.jboss.portal.Mode

All Implemented Interfaces:
  java.io.Serializable

    public final class Mode

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 7867 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`static Mode` | `ADMIN` .
`static Mode` | `EDIT` .
`static Mode` | `EDIT_DEFAULTS` .
`static Mode` | `HELP` .
`static Mode` | `VIEW` .

Constructor Summary
`Mode(java.lang.String name)`

Method Summary
`static Mode` | `create(java.lang.String name)`
`static Mode` | `create(java.lang.String name, boolean preserveCase)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EDIT

    public static final Mode EDIT

  .

### HELP

    public static final Mode HELP

  .

### VIEW

    public static final Mode VIEW

  .

### EDIT_DEFAULTS

    public static final Mode EDIT_DEFAULTS

  .

### ADMIN

    public static final Mode ADMIN

  .

Constructor Detail

### Mode

    public Mode(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### create

    public static Mode create(java.lang.String name)

### create

    public static Mode create(java.lang.String name,
                              boolean preserveCase)

  Parameters:
    `name` -
    `preserveCase` -
  Returns:
  Since:
    2.4.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.